package judyexample;

import CR.AbstractClass;
import CR.Conflate;
import CR.Normalize;


public class CamelLevel extends Konstants {
    
    public static void main(String... args) {
        // Step 0: input data is hard-coded for this example
        //         Apply constraints to existing database
        
        Allegory.PD0.Conform.main(Correct+data0);
        
        // Step 1: refactor data.PD0.pl to data.PD1.pl, and apply constraints
        Conflate.Args a0 = Conflate.Args.read("0.properties");
        Conflate.ConflateDB(Correct+data0,schema1,data1,a0);
        Allegory.PD1.Conform.main(data1);
        
        // Step 1: refactor data.PD1.pl to data.PD2.pl, and apply constraints
        // <input.oldschema.pl> <outSchema.schema.pl> <out.outschema.pl>  args
        AbstractClass.Args a1 = AbstractClass.Args.read("1.properties");
        AbstractClass.PullUpACDB(data1,schema2,data2,a1);
        Allegory.PD2.Conform.main(data2);
        
        // Step 2: refactor data.PD2.pl to data.PD3.pl, and apply constraints
        Normalize.Args a2 = Normalize.Args.read("2.properties");
        Normalize.NormalizeDB(data2,schema3,data3,a2);
        Allegory.PD3.Conform.main(data3);
    }
    
}
