package TimeTravel;

import PrologDB.DB;
import static org.junit.Assert.fail;
import org.junit.Before;
import org.junit.Test;


public class BDBTest {
    
    public BDBTest() {
    }
    
    @Before
    public void setUp() {
       String[] args = { "ignore", "ignore2" };
       TimeTravel.CamelLevel.main(args);
    }

    static String Correct = "Correct/";
    
    public void doit(String filename) {
        DB out = DB.read(filename);
        DB cor = DB.read(Correct+filename);
        if (!out.equals(cor))
            fail();
    }
    
    /******************* CAMEL LEVEL ************************************/
    
    @Test
    public void PD0db() {
        doit("data.PD0.pl");
    }
    
    @Test
    public void PD1db() {
        doit("data.PD1.pl");
    }
    
    @Test
    public void PD2db() {
        doit("data.PD2.pl");
    }
    
//    @Test
//    public void PD3db() {
//        doit("data.PD3.pl");
//    }
    
}
