package TimeTravel;

import judyexample.*;
import CR.AbstractClass;
import CR.Conflate;
import CR.Normalize;


public class CamelLevel extends Konstants {
    
    public static void main(String... args) {
        // Step 0: input data is hard-coded for this example
        //         Apply constraints to existing database
        
        Allegory.PD3.Conform.main(Correct+data3);
        
        // Step 1: then refactor data.PD3.pl to data.PD2.pl, apply constraints
        Normalize.Args args2 = Normalize.Args.read("2_.properties");
        Normalize.UnNormalizeDB(Correct+data3,schema2,data2,args2);
        Allegory.PD2.Conform.main(data2);

        // Step 2: refactor data.PD2.pl to data.PD1.pl, apply constraints
        // <input.oldschema.pl> <outSchema.schema.pl> <out.outschema.pl>  args
        AbstractClass.Args args1 = AbstractClass.Args.read("1_.properties");
        AbstractClass.PushDownACDB(data2,schema1,data1,args1);
        Allegory.PD1.Conform.main(data1);
        
        // Step 3: refactor data.PD1.pl to data.PD0.pl, apply constraints
        Conflate.Args args0 = Conflate.Args.read("0_.properties");
        Conflate.UnConflateDB(data1,schema0,data0,args0);
        Allegory.PD0.Conform.main(data0);
        
    }
    
}
