package judyexample;

import CR.AbstractClass;
import CR.Conflate;
import CR.Normalize;


public class RiderLevel extends Konstants {

    public static void main(String... args) throws Exception {
        // Step 0: input data is hard-coded for this example
        
        // Step 1: create schema for PD0 (schema0)
        M4.CDSpec2Schema.main(Correct+cdspec0);
        
        // Step 2: refactor PD0 to PD1 and create a schema for PD1
        Conflate.Conflate(Correct+cdspec0, cdspec1, args0);
        args0.save("0.properties");
        M4.CDSpec2Schema.main(cdspec1);
        
        // Step 3: refactor PD1 to PD2, and create schema for PD2
        AbstractClass.PullUpAC(cdspec1, cdspec2, args1);
        args1.save("1.properties");
        M4.CDSpec2Schema.main(cdspec2);
        
        // Step 4: refactor PD2 to PD3, and create schema for PD3
        Normalize.Normalize(cdspec2, cdspec3, args2);
        args2.save("2.properties");
        M4.CDSpec2Schema.main(cdspec3);
    }
    
}
